27 Mart 2015 Cuma

Easy-cred.sh "Some prereqs missing, functionality may be impaired. Review README file" Hatası ve Çözümü

İsmi Easy Credential'dan gelen, bash ile yazılmış bu scriptimiz Poisoning ve Fake AP saldırıları için kullanılabilecek güzide bir araçtır.

Giriş ekranı şöyle bir şey.
Poisoning Attacks menüsünde görebileceğiniz üzere Standard ARP Poison, Oneway ARP Poison, DHCP Poison, DNS Poison, ICMP Poison gibi saldırı türleri var.


Fake AP Attack menüsünde de görebileceğiniz üzere FakeAP Attack Static,FakeAP Attack EvilTwin, Karmetasploit Attack, FreeRadius Attack gibi saldırı türleri mevcut. 


Bu saldırı türlerini daha sonra anlatabilirim. 
Şimdi asıl mevzuya dönelim. Scripti çalıştırdığımız zaman bazı bağımlı uygulamaların yüklenmemiş yada linklenmemiş olmasından dolayı errörler verecektir, fakat açılmaya engel olacak bir şey yok. Fakat bazı saldırılar çalışmayacaktır.

 [!] Couldn't find radiusd. If its installed please create a symbolic link in /usr/bin  
 [!] Some prereqs missing, functionality may be impaired. Review README file.  



Bu hataya neden olan uygulamayı/uygulamaları kurmak için paket yöneticimize başvuruyoruz. İşlemleri debian tabanlı kali linux'ta yaptığım için apt'ye gidiyorum bu iş için.
NOT: Bazı çözümlerde Synaptic paket yöneticisini kurup ordan işlemlerin yapılması söylenmiş fakat gerek yok buna.

Genelde kurulum aşamasında sorun çıkaran yada kurulamayan şu uygulamalar oluyor, bunları beraber kurmasını istediğimizde paket yöneticimizden zaten kurulu olanlar görmezden gelinecektir.
 apt-get install radiusd-livingston hostapd ipcalc  
Ki genelde eksik olan hatalı resimde olduğu gibi radius'tur. Bu satır işinizi çözecektir.

Hiç yorum yok:

Yorum Gönderme